# RedirectToView Class Reference
[Spring-like webflow tools]

Inheritance diagram for RedirectToView:
[legend]

List of all members.

## Public Member Functions

| __construct ($controllerName)
| getPrefix ()
| setPrefix ($prefix)
| getSuffix ()
| setSuffix ($suffix)
| getName ()
| setName ($name)
| getUrl ()

## Static Public Member Functions

static | create ($controllerName)

## Private Attributes

| $prefix = null
| $suffix = null

## Detailed Description

Definition at line 15 of file RedirectToView.class.php.

## Constructor & Destructor Documentation

RedirectToView::__construct | ( | $ | controllerName | ) |

Reimplemented from CleanRedirectView.

Definition at line 28 of file RedirectToView.class.php.

References Assert::classExists().

Here is the call graph for this function:

## Member Function Documentation

static RedirectToView::create | ( | $ | controllerName | ) | `[static]`

Returns:
  RedirectToView

Reimplemented from RedirectView.

Definition at line 23 of file RedirectToView.class.php.

RedirectToView::getName | ( |  | ) |

Definition at line 65 of file RedirectToView.class.php.

RedirectToView::getPrefix | ( |  | ) |

Definition at line 35 of file RedirectToView.class.php.

RedirectToView::getSuffix | ( |  | ) |

Definition at line 50 of file RedirectToView.class.php.

RedirectToView::getUrl | ( |  | ) |

Reimplemented from CleanRedirectView.

Definition at line 80 of file RedirectToView.class.php.

RedirectToView::setName | ( | $ | name | ) |

Returns:
  RedirectToView

Definition at line 73 of file RedirectToView.class.php.

RedirectToView::setPrefix | ( | $ | prefix | ) |

Returns:
  RedirectToView

Definition at line 43 of file RedirectToView.class.php.

References $prefix.

RedirectToView::setSuffix | ( | $ | suffix | ) |

Returns:
  RedirectToView

Definition at line 58 of file RedirectToView.class.php.

References $suffix.

## Member Data Documentation

RedirectToView::$prefix = null`[private]`

Definition at line 17 of file RedirectToView.class.php.

Referenced by setPrefix().

RedirectToView::$suffix = null`[private]`

Definition at line 18 of file RedirectToView.class.php.

Referenced by setSuffix().

The documentation for this class was generated from the following file:

- main/Flow/RedirectToView.class.php